Eclipse BIRT Report Object Model (ROM)

GraphicMasterPage Element

# Element Overview

A master page with free-form page decorations.

### Details

Display Name: | Graphic Master Page
Since: | reserved
XML Element: | `graphic-master-page`
Extends: | MasterPage
Extendable: | Yes
Abstract: | No
Name Space: | Pages
Name Requirement: | Required
Allows User Properties: | Yes
Has Style: | Yes
Default Style: | page

### Slot Summary

contents

### Inherited Properties

bottomMargin, columnSpacing, columns, comments, customXml, displayName, displayNameID, eventHandlerClass, extends, height, leftMargin, name, newHandlerOnEachEvent, orientation, propertyMasks, rightMargin, style, topMargin, type, userProperties, viewAction, width

### Style Properties

backgroundAttachment, backgroundColor, backgroundImage, backgroundPositionX, backgroundPositionY, backgroundRepeat, backgroundSizeHeight, backgroundSizeWidth, bidiTextDirection, borderBottomColor, borderBottomStyle, borderBottomWidth, borderLeftColor, borderLeftStyle, borderLeftWidth, borderRightColor, borderRightStyle, borderRightWidth, borderTopColor, borderTopStyle, borderTopWidth, canShrink, color, dateFormat, dateTimeFormat, display, fontFamily, fontSize, fontStyle, fontVariant, fontWeight, highlightRules, letterSpacing, lineHeight, mapRules, marginBottom, marginLeft, marginRight, marginTop, masterPage, numberAlign, numberFormat, orphans, paddingBottom, paddingLeft, paddingRight, paddingTop, pageBreakAfter, pageBreakBefore, pageBreakInside, showIfBlank, stringFormat, textAlign, textIndent, textLineThrough, textOverline, textTransform, textUnderline, timeFormat, verticalAlign, whiteSpace, widows, wordSpacing

### Inherited Methods

onPageStart, onPageEnd

### Description

A graphic master page describes a physical page free-form page "decoration". The decoration can include simple headers and footers, but can also include content within the left and right margins, as well as watermarks under the content area. The page can contain multiple columns. In a multi-column report, the content area is the area inside the margins defined by each column. Note that each page has only one content area, though that content area can be divided into multiple columns. That is, a page has one content area. If a page has multiple columns, the column layout is "overlaid" on top of the content area.

#### Graphic Pages in HTML and FO Output.

Graphic pages contain free-form content. However, simple HTML output, and FO output do not support arbitrary free-form items on a page. If a graphic master page is used for such formats, BIRT will automatically convert the graphic page to a simple page at run time, following these rules:

- A header area is defined above the content area of the page.Any elements entirely within this header appear in the printed page header.
- A footer area is defined below the content area of the page. Any elements entirely within this footer appear in the printed page footer.
- Any element that appears outside the header or footer areas is ignored for the simple HTML and FO formats.

# Slot Detail

## contents Slot

### Details

Display Name: | Content
Since: | 1.0
XML Element: | `contents`
Contents: | List of Data, ExtendedItem, FreeForm, Grid, Image, Label, Line, Rectangle, Text
Default Style: | None